aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-15 06:08:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-15 06:08:48 +0000
commit6159218591ed89f1de143bebf4537f71e7462754 (patch)
tree37ba6daf7f77e3ff16a5290f64b4b6cd2ba61c05
parentca234242ab0e36b80dc6ee23d6a7b37ebe5332f4 (diff)
downloadaports-6159218591ed89f1de143bebf4537f71e7462754.tar.bz2
aports-6159218591ed89f1de143bebf4537f71e7462754.tar.xz
core/apk-tools: another fix for a regression introduced in latest patch
-rw-r--r--core/apk-tools/0002-pkg-fix-package-scanner-to-read-whole-archive.patch36
-rw-r--r--core/apk-tools/APKBUILD15
2 files changed, 46 insertions, 5 deletions
diff --git a/core/apk-tools/0002-pkg-fix-package-scanner-to-read-whole-archive.patch b/core/apk-tools/0002-pkg-fix-package-scanner-to-read-whole-archive.patch
new file mode 100644
index 0000000000..3609a6aa42
--- /dev/null
+++ b/core/apk-tools/0002-pkg-fix-package-scanner-to-read-whole-archive.patch
@@ -0,0 +1,36 @@
+From bfabf8f8d966ab8305212b9730db8fc5eb5e1094 Mon Sep 17 00:00:00 2001
+From: Timo Teras <timo.teras@iki.fi>
+Date: Wed, 15 Jul 2009 08:38:30 +0300
+Subject: [PATCH] pkg: fix package scanner to read whole archive
+
+otherwise we don't get chechksum anymore after the changes to
+support partial gzip checksumming.
+---
+ src/package.c | 4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/package.c b/src/package.c
+index bb37317..6c050cf 100644
+--- a/src/package.c
++++ b/src/package.c
+@@ -372,7 +372,7 @@ static int read_info_entry(void *ctx, const struct apk_file_info *ae,
+ if (strcmp(ae->name, ".INSTALL") == 0) {
+ apk_warning("Package '%s-%s' contains deprecated .INSTALL",
+ pkg->name->name, pkg->version);
+- return 1;
++ return 0;
+ }
+ } else if (strncmp(ae->name, "var/db/apk/", 11) == 0) {
+ /* APK 1.0 format */
+@@ -407,7 +407,7 @@ static int read_info_entry(void *ctx, const struct apk_file_info *ae,
+ ri->has_install = 1;
+ } else if (ri->version == 2) {
+ /* All metdata of version 2.x package handled */
+- return 1;
++ return 0;
+ } else {
+ /* Version 1.x packages do not contain installed size
+ * in metadata, so we calculate it here */
+--
+1.6.3.3
+
diff --git a/core/apk-tools/APKBUILD b/core/apk-tools/APKBUILD
index 877bd93388..4472ce0c5a 100644
--- a/core/apk-tools/APKBUILD
+++ b/core/apk-tools/APKBUILD
@@ -1,12 +1,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0_pre14
-pkgrel=1
+pkgrel=2
pkgdesc="Alpine Package Keeper - package manager for alpine"
depends=
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
- 0001-io-move-csumming-away-from-bstream-to-gunzip.patch"
+ 0001-io-move-csumming-away-from-bstream-to-gunzip.patch
+ 0002-pkg-fix-package-scanner-to-read-whole-archive.patch
+ "
url="http://git.alpinelinux.org/cgit/apk-tools/"
@@ -15,8 +17,10 @@ license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
sed -i -e 's:-Werror::' Make.rules
- patch -p1 < ../0001-io-move-csumming-away-from-bstream-to-gunzip.patch \
- || return 1
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
make || return 1
make DESTDIR="$pkgdir" install
@@ -30,4 +34,5 @@ build() {
}
md5sums="1a00b5fefddd652ed06bc5602e73e409 apk-tools-2.0_pre14.tar.bz2
-8350b25dadf4a2574654af477e7283d2 0001-io-move-csumming-away-from-bstream-to-gunzip.patch"
+8350b25dadf4a2574654af477e7283d2 0001-io-move-csumming-away-from-bstream-to-gunzip.patch
+d0a6358024cb54f79d779a3c8ec4387a 0002-pkg-fix-package-scanner-to-read-whole-archive.patch"